POST
https://api.examplary.ai/practice-spaces/{id}/class-summaryStart a background task to generate an AI summary of the strengths and weaknesses of the students practicing in a practice space. Returns the stored summary directly when the results haven't changed since the last generation.
Path parameters
idstringrequired
Request body
hiddenGroupsarray string[]· max items: 100
Group IDs to leave out of the summary, as in the results page's group filter. Use `none` for students without a group.
Responses
400 — Validation Error
successbooleanrequired
Allowed values:false
errorarray any[]required
dataanyrequired
429 — Rate limit exceeded
Requirements
Rate limit
30 requests per minute per user.
User roles
This endpoint requires the teacher, admin, or owner role to be present.
OAuth scopes
This endpoint requires the practice-spaces:write scope to be present.